Knowledge Search


×
 

How To Determine Version of Bootloader on ISG and NS-5000 devices

  [KB9446] Show Article Properties


Summary:
Some platforms require certain versions of bootloader in order to run higher versions of ScreenOS.  For example, the ISG-2000 requires bootloader 1.1.5 to run ScreenOS 5.2.0 or higher
Symptoms:
 
Solution:

On the ISG and NS-5000 devices, the bootloader version can be obtained using the command 'get envar'.

Example:

nsisg2000-> get envar
last_reset=2007-01-06 18:37:17 by netscreen
run_image=default (nsISG2000.5.2.0yk1.0)
loader_version=1.1.5
default_image=nsISG2000.5.2.0yk1.0
sme=
.hash-seg=6 (1550589956)

On ScreenOS 5.4.0 and higher, the boot loader version can be determined from issuing the command 'get system'.

Example:

nsisg2000-> get system
Product Name: NetScreen-2000
Serial Number: 0079112003000014, Control Number: 00000000
Hardware Version: 3010(0)-(03), FPGA checksum: 00000000, VLAN1 IP (0.0.0.0)
Software Version: 5.4.0r2.0, Type: Firewall+VPN
OS Loader Version: 1.1.5
Compiled by build_master at: Wed Oct 4 11:01:06 PDT 2006
Base Mac: 0010.db58.c080
File Name: default (nsISG2000.5.2.0yk1.0), Checksum: 09abddcf
, Total Memory: 1024MB
Related Links: